package com.yeejoin.amos.patrol.core.common.response;

import java.util.Date;
import java.util.List;

public class TaskInfoRespone {
	
	/**
	 * 任务id
	 */
	private int taskID;
	
	/**
	 * 任务名称
	 */
	private String taskName;
	 
	/**
	 * 任务状态
	 */
	private String status;
	
	/**
	 * 发起人
	 */
	private String arranger;
	
	/**
	 * 执行者
	 */
	private String executor;
	
	/**
	 * 计划完成时间
	 */
	private Date planTime;
	
	/**
	 * 完成时间
	 */
	private Date fishTime;
	
	/**
	 * 内容
	 */
	private String content;
	
	/**
	 * 巡检点id
	 */
	private int pointID;
	
	/**
	 * 巡检点名称
	 */
	private String pointName;
	
	/**
	 * 检查项名称
	 */
	private String inputItemName;
	
	/**
	 * 检查结果
	 */
	private String inputValue;
	
	/**
	 * 是否合格
	 */
	private String inputStatus;
	
	private List<CheckInputResponse> checkInputs;

	public Date getFishTime() {
		return fishTime;
	}

	public int getTaskID() {
		return taskID;
	}

	public void setTaskID(int taskID) {
		this.taskID = taskID;
	}

	public int getPointID() {
		return pointID;
	}

	public void setPointID(int pointID) {
		this.pointID = pointID;
	}

	public void setFishTime(Date fishTime) {
		this.fishTime = fishTime;
	}


	public String getTaskName() {
		return taskName;
	}

	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getArranger() {
		return arranger;
	}

	public void setArranger(String arranger) {
		this.arranger = arranger;
	}

	public String getExecutor() {
		return executor;
	}

	public void setExecutor(String executor) {
		this.executor = executor;
	}

	public Date getPlanTime() {
		return planTime;
	}

	public void setPlanTime(Date planTime) {
		this.planTime = planTime;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}


	public String getPointName() {
		return pointName;
	}

	public void setPointName(String pointName) {
		this.pointName = pointName;
	}

	public String getInputItemName() {
		return inputItemName;
	}

	public void setInputItemName(String inputItemName) {
		this.inputItemName = inputItemName;
	}

	public String getInputValue() {
		return inputValue;
	}

	public void setInputValue(String inputValue) {
		this.inputValue = inputValue;
	}

	public String getInputStatus() {
		return inputStatus;
	}

	public void setInputStatus(String inputStatus) {
		this.inputStatus = inputStatus;
	}

	public List<CheckInputResponse> getCheckInputs() {
		return checkInputs;
	}

	public void setCheckInputs(List<CheckInputResponse> checkInputs) {
		this.checkInputs = checkInputs;
	}

}
